
  <mat-toolbar >
      <span>
          
          <span class="spacing-extended">
              <mat-icon >fingerprint</mat-icon> Entradas <span *ngIf="oldEntries">Antiguas</span>
          </span>
              <button matTooltip="Refrescar entradas"
                      mat-button 
                      mat-raised-button 
                      (click)="refresh()">
                  <mat-icon>refresh</mat-icon>
              </button>
              <button matTooltip="Borrar entradas antiguas" 
                      *ngIf="oldEntries" 
                      mat-raised-button 
                      (click)="deleteOld()">
                  <mat-icon>delete</mat-icon>
              </button>
      </span>
      <span class="spacing"></span>
  </mat-toolbar>
  
<app-loading [loading]="loading">
      <mat-card>
          <mat-form-field appearance="standard" floatLabel="always">
              <mat-label>Filtro</mat-label>
              <input matInput (keyup)="applyFilter($event)" placeholder="Escriba un nombre, apellido, o plan" #input>
          </mat-form-field>
      </mat-card>
    
  <div class="mat-elevation-z8">  
    <table mat-table matSort [dataSource]="dataSource" class="mat-elevation-z8">

      <ng-container matColumnDef="tipo">
          <th mat-header-cell mat-sort-header *matHeaderCellDef> Tipo </th>
          <td mat-cell *matCellDef="let element" >
              <ng-container *ngIf="(element.tipo == 'I') ;then content else other_content">here is ignored</ng-container>
              <ng-template #content>
                  <mat-icon >fingerprint</mat-icon>
              </ng-template>
              <ng-template #other_content>
                  <mat-icon >computer</mat-icon>
              </ng-template>      
          </td>
        </ng-container>
        
      <ng-container matColumnDef="checktime">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Tiempo Entrada </th>
        <td mat-cell *matCellDef="let element"> {{element.checktime}} </td>
      </ng-container>
    
      <ng-container matColumnDef="name">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Nombre </th>
        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
      </ng-container>
    
      <ng-container matColumnDef="lastname">
        <th mat-header-cell mat-sort-header *matHeaderCellDef> Apellidos </th>
        <td mat-cell *matCellDef="let element"> {{element.lastname}} </td>
      </ng-container>
    
      <ng-container matColumnDef="planName">
          <th mat-header-cell mat-sort-header *matHeaderCellDef> Plan/Rol </th>
          <td mat-cell *matCellDef="let element"> {{element.planName}} </td>
        </ng-container>
    
      <ng-container matColumnDef="planEndDate">
          <th mat-header-cell mat-sort-header *matHeaderCellDef> Término Plan </th>
          <td mat-cell *matCellDef="let element"> 
              <div class="date" [class.bad-entry-t]="!goodEntryDates(element.planEndDate)">
                  {{dateOnly(element.planEndDate)}} 
              </div>     
          </td>
        </ng-container>
      
        <ng-container matColumnDef="counting">
          <th mat-header-cell mat-sort-header *matHeaderCellDef> E/Semana </th>
          <td mat-cell *matCellDef="let element"> {{(element.counting) ? element.counting : 'x' }}/{{element.sesiones}} </td>
        </ng-container>     
        

      <ng-container matColumnDef="actions">
          <th mat-header-cell *matHeaderCellDef> Acciones </th>
          <td mat-cell *matCellDef="let element">             
              <row-action-componnet
                  [enableEdit]="false"
                  [enableFinger]="false"
                  (deleteEmitter)="deleteEntry(element.id)"
              ></row-action-componnet>
          </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;" [class.bad-entry]="!goodEntry(row)"></tr>
    
      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>

    </table>
    
      <mat-paginator [pageSizeOptions]="[5, 10, 20, 50 , 100]"
          showFirstLastButtons 
          aria-label="Objetos por página">
      </mat-paginator>
  </div>
</app-loading>